Skip to main content
PUT
Update a space manager's permissions

Path Parameters

id
integer<int64>
required

Space ID

user_id
string
required

Profile ID

Body

application/json
permissions
string[] | null
required

New set of permissions

Response

OK

created_at
string<date-time>
required

Created timestamp

expires_at
string<date-time>
required

When the pending invite expires (7 days from invite)

id
integer<int64>
required

Record ID

invited_at
string<date-time>
required

When the invite was (last) sent

permissions
string[] | null
required

Assigned space manager permissions

space_id
integer<int64>
required

Space ID

status
enum<string>
required

Lifecycle status: pending, active, revoked

Available options:
pending,
active,
revoked
updated_at
string<date-time>
required

Updated timestamp

user_id
string
required

Profile ID of the manager

$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.linebundle.com/schemas/SpaceManager.json"

accepted_at
string<date-time>

When the invite was accepted

invite_token
string

Opaque token embedded in the invite email link

invited_by
string

Profile ID of the user who sent the invite

invited_email
string

Email address the invite was sent to

org_id
string

Organization ID

role
string

Pre-defined role bundle name (e.g. space_manager:full); NULL for custom permission combinations.

Last modified on June 11, 2026